package com.chilunyc.fumao.common.lbs.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * Created by Tkk on 2018/7/24.
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class LBSPoi {

    @Data
    @NoArgsConstructor
    public static class Location {
        @JSONField(name = "lat")
        private String lat;

        @JSONField(name = "lng")
        private String lng;
    }

    private Location location;

    @JSONField(name = "uid")
    private String poi;

    private String province;

    private String city;

    private String address;

    private String name;
}
