package com.chilunyc.fumao.common.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 *
 */
@ApiModel
@Data
public class IdsRequest<T extends Serializable> {

    @ApiModelProperty(value = "批量操作")
    @NotNull(message = "编号不能为空")
    @Size(min = 1, message = "编号不能为空")
    private List<T> ids;
}
