package com.chilunyc.fumao.common.request;

import com.chilunyc.fumao.common.util.valid.Captcha;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;

/**
 *
 */
@ApiModel
@Data
public class LoginRequestWithCaptcha extends LoginRequest {

    @ApiModelProperty(value = "密码")
    @Captcha
    @NotBlank(message = "请输入验证码")
    private String captcha;

}
