package com.chilunyc.fumao.common.util.excel.column;

import com.chilunyc.fumao.common.util.excel.column.impl.DefaultExcelColumnReaderWriter;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 80347471@qq.com
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface ExcelColumn {

    String title() default "";

    int order();

    int width() default 0;

    Class<? extends ExcelColumnReader> reader() default DefaultExcelColumnReaderWriter.class;

    Class<? extends ExcelColumnWriter> writer() default DefaultExcelColumnReaderWriter.class;
}
