package com.chilunyc.fumao.common.util.jpa.coverter;

import com.alibaba.fastjson.JSON;
import org.apache.commons.lang3.StringUtils;

import javax.persistence.AttributeConverter;
import javax.persistence.Converter;

/**
 * 80347471@qq.com
 */
@Converter
public class JsonConverter implements AttributeConverter<Object, String> {

    @Override
    public String convertToDatabaseColumn(Object attribute) {
        return JSON.toJSONString(attribute == null ? new Object() : attribute);
    }

    @Override
    public Object convertToEntityAttribute(String dbData) {
        return StringUtils.isNotBlank(dbData) ? JSON.parse(dbData) : null;
    }
}
