package com.chilunyc.fumao.common.util.valid;

import com.chilunyc.fumao.common.context.RequestHolder;
import com.google.code.kaptcha.Constants;
import org.apache.commons.lang.StringUtils;

import javax.servlet.http.HttpSession;
import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

/**
 *
 */
public class CaptchaValidator implements ConstraintValidator<Captcha, String> {

    @Override
    public void initialize(Captcha captcha) {
    }

    @Override
    public boolean isValid(String s, ConstraintValidatorContext constraintValidatorContext) {
        HttpSession session = RequestHolder.get().getSession();
        String key = (String) session.getAttribute(Constants.KAPTCHA_SESSION_KEY);
//        session.removeAttribute(Constants.KAPTCHA_SESSION_KEY);
        return StringUtils.equalsIgnoreCase(key, s);
    }
}
