package com.chilunyc.fumao.company.request.placeFloor;

import org.hibernate.validator.constraints.*;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.lang.Long;
import java.lang.Integer;
import java.lang.Double;
import java.lang.String;

/**
 *
 */
@ApiModel
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class PlaceFloorEditRequest {

    private String id;

    @NotBlank(message = "请输入商场")
    @ApiModelProperty(value = "商场")
    private Long placeId;

    @ApiModelProperty(value = "楼层")
    private Integer floor;

    @ApiModelProperty(value = "面积")
    private Double area;

    @ApiModelProperty(value = "平面图")
    private String image;

    @ApiModelProperty(value = "几座")
    private String tower;
}
