package com.chilunyc.fumao.common.context;

import io.jsonwebtoken.Claims;
import io.jsonwebtoken.JwtBuilder;

/**
 *
 */
public interface LoginUser<T> {

    /**
     * Id
     *
     * @return
     */
    T getId();

    /**
     * 用户名
     *
     * @return
     */
    String getName();


    /**
     * @return
     */
    String[] toRoles();

    /**
     *
     * @param claims
     */
    void fromJwt(Claims claims);

    /**
     *
     * @param claims
     */
    void toJwt(JwtBuilder claims);
}
