package com.chilunyc.fumao.common.util.excel;

import com.chilunyc.fumao.common.util.excel.column.ExcelColumn;
import com.chilunyc.fumao.common.util.excel.column.ExcelColumnReader;
import com.chilunyc.fumao.common.util.excel.column.ExcelColumnWriter;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.lang.reflect.Field;

/**
 * 80347471@qq.com
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ExcelEntityFieldDescription {

    private ExcelColumn excelColumn;

    private Field field;

    private ExcelColumnReader reader;

    private ExcelColumnWriter writer;

}
