package com.chilunyc.fumao.company.repository;

import com.chilunyc.fumao.common.request.IdsRequest;
import com.chilunyc.fumao.company.model.CompanyAdmin;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

/**
*
*/
public interface CompanyAdminRepository extends JpaRepository<CompanyAdmin, Long>, JpaSpecificationExecutor<CompanyAdmin> {

    CompanyAdmin findByMobile(String mobile);

    boolean existsByMobile(String mobile);

    CompanyAdmin findByIdAndCompanyId(Long id, Long companyId);

    void deleteByIdAndCompanyId(List<Long> request, Long companyId);
}
